org.gnome.gdk

## Class KeypadKeyval

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gdk.Keyval
    - - org.gnome.gdk.KeypadKeyval

-     public class KeypadKeyval
      extends Keyval

  Constants describing the keys on a keypad (also known as a number pad).

  This file serves mostly as an example of how Keyval can be subclassed to make additional Key constants available that you may need.

  Beware that this class has to be loaded for these constants to be recognized!

  Since:
    4.0.6
  Author:
    Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Keyval` | `KP0`
    `static Keyval` | `KP1`
    `static Keyval` | `KP2`
    `static Keyval` | `KP3`
    `static Keyval` | `KP4`
    `static Keyval` | `KP5`
    `static Keyval` | `KP6`
    `static Keyval` | `KP7`
    `static Keyval` | `KP8`
    `static Keyval` | `KP9`
    `static Keyval` | `KPAdd`
    `static Keyval` | `KPBegin` The middle key (the one labeled 5) on a keyboard with a numeric keypad.
    `static Keyval` | `KPDecimal`
    `static Keyval` | `KPDelete`
    `static Keyval` | `KPDivide`
    `static Keyval` | `KPDown`
    `static Keyval` | `KPEnd`
    `static Keyval` | `KPEnter`
    `static Keyval` | `KPEqual`
    `static Keyval` | `KPHome`
    `static Keyval` | `KPInsert`
    `static Keyval` | `KPLeft`
    `static Keyval` | `KPMultiply`
    `static Keyval` | `KPPageDown`
    `static Keyval` | `KPPageUp`
    `static Keyval` | `KPRight`
    `static Keyval` | `KPSpace`
    `static Keyval` | `KPSubtract`
    `static Keyval` | `KPTab`
    `static Keyval` | `KPUp`

    - ### Fields inherited from class org.gnome.gdk.Keyval

      `a, A, AltLeft, AltRight, Ampersand, Apostrophe, Asterisk, AtSign, b, B, Backslash, BackSpace, BackTab, Bar, BraceLeft, BraceRight, BracketLeft, BracketRight, Break, c, C, CapsLock, Circumflex, Colon, Comma, Compose, ControlLeft, ControlRight, d, D, Delete, Dollar, Down, e, E, End, Equal, Escape, Exclaim, f, F, F1, F10, F11, F12, F2, F3, F4, F5, F6, F7, F8, F9, g, G, Grave, Greater, h, H, Home, i, I, Insert, j, J, k, K, l, L, Left, Less, m, M, Menu, Minus, n, N, Num0, Num1, Num2, Num3, Num4, Num5, Num6, Num7, Num8, Num9, NumberSign, NumLock, o, O, p, P, PageDown, PageUp, ParenLeft, ParenRight, Pause, Percent, Period, Plus, Print, q, Q, Question, QuoteDouble, QuoteSingle, r, R, Return, Right, s, S, ScrollLock, Semicolon, ShiftLeft, ShiftRight, Slash, Space, SuperLeft, SuperRight, SysReq, t, T, Tab, Tilde, u, U, Underscore, Up, v, V, w, W, x, X, y, Y, z, Z`

  - ### Method Summary

    - ### Methods inherited from class org.gnome.gdk.Keyval

      `toUnicode`

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### KP0

          public static final Keyval KP0

    - #### KP1

          public static final Keyval KP1

    - #### KP2

          public static final Keyval KP2

    - #### KP3

          public static final Keyval KP3

    - #### KP4

          public static final Keyval KP4

    - #### KP5

          public static final Keyval KP5

    - #### KP6

          public static final Keyval KP6

    - #### KP7

          public static final Keyval KP7

    - #### KP8

          public static final Keyval KP8

    - #### KP9

          public static final Keyval KP9

    - #### KPAdd

          public static final Keyval KPAdd

    - #### KPBegin

          public static final Keyval KPBegin

      The middle key (the one labeled 5) on a keyboard with a numeric keypad. This is distinct from `KP5`, which is what is emitted if NumLock is on.

      Why "Begin"? I would have thought "Center". Weird legacy crap, no doubt.

    - #### KPDecimal

          public static final Keyval KPDecimal

    - #### KPDelete

          public static final Keyval KPDelete

    - #### KPDivide

          public static final Keyval KPDivide

    - #### KPDown

          public static final Keyval KPDown

    - #### KPEnd

          public static final Keyval KPEnd

    - #### KPEnter

          public static final Keyval KPEnter

    - #### KPEqual

          public static final Keyval KPEqual

    - #### KPHome

          public static final Keyval KPHome

    - #### KPInsert

          public static final Keyval KPInsert

    - #### KPLeft

          public static final Keyval KPLeft

    - #### KPMultiply

          public static final Keyval KPMultiply

    - #### KPPageDown

          public static final Keyval KPPageDown

    - #### KPPageUp

          public static final Keyval KPPageUp

    - #### KPRight

          public static final Keyval KPRight

    - #### KPSpace

          public static final Keyval KPSpace

    - #### KPSubtract

          public static final Keyval KPSubtract

    - #### KPTab

          public static final Keyval KPTab

    - #### KPUp

          public static final Keyval KPUp